Knox Docs Sign in

API reference

Test mode. Use your secret key on your server; live processing is currently disabled.

https://api.knoxapi.com

Send form-encoded requests with Authorization: Bearer sk_test_....

Complete OpenAPI specification · Integration guide

Operations and schemas are based on the pinned Stripe OpenAPI specification (MIT). Nested object definitions and enums are available in the complete specification.

GET /v1/balance_settings

Retrieve balance settings

Retrieves balance settings for a given connected account. Related guide: Making API calls for connected accounts

Request parameters

ParameterLocationTypeDescription
expandqueryarray of stringSpecifies which fields in the response should be expanded.

object. See the OpenAPI specification for the complete schema.

Responses

HTTP 200: Successful response.
FieldTypeDescription
object requiredstringString representing the object's type. Objects of the same type share the same value.
payments requiredbalance_settings_resource_payments
HTTP default: Error response.
FieldTypeDescription
error requiredapi_errors
POST /v1/balance_settings

Update balance settings

Updates balance settings for a given connected account. Related guide: Making API calls for connected accounts

Request parameters

FieldTypeDescription
expandarray of stringSpecifies which fields in the response should be expanded.
paymentsobjectSettings that apply to the [Payments Balance](https://docs.stripe.com/api/balance).

Responses

HTTP 200: Successful response.
FieldTypeDescription
object requiredstringString representing the object's type. Objects of the same type share the same value.
payments requiredbalance_settings_resource_payments
HTTP default: Error response.
FieldTypeDescription
error requiredapi_errors